#
# spec file for package scons
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Potential build fix for SLE11 SLE11SP1
%if 0%{?suse_version} <= 1120
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
Name:           scons
Version:        2.4.0
Release:        0
Summary:        Replacement for Make
License:        MIT
Group:          Development/Tools/Building
Url:            http://www.scons.org/
Source0:        http://prdownloads.sourceforge.net/scons/%{name}-%{version}.tar.gz
#http://www.scons.org/doc/%%{version}/HTML/scons-user.html
Source1:        scons-user.html-%{version}.tar.bz2
# rpmlintrc
Source99:       %{name}-rpmlintrc
# Sets _mandir to _datadir/man instead of _prefix/man
Patch0:         %{name}-1.2.0-fix-install.patch
Patch1:         %{name}-1.2.0-noenv.patch
BuildRequires:  fdupes
BuildRequires:  python-devel >= 2.4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%if 0%{?suse_version} >= 1110
%py_requires
%endif

%description
SCons is a make replacement that provides a range of enhanced features,
such as automated dependency generation and built-in compilation cache
support. SCons rule sets are Python scripts, which means that SCons
provides itself as well as the features. SCons allows you to use the
full power of Python to control compilation.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p0

# fix libdir for qt
patch -p0 <<EOF
--- engine/SCons/Tool/qt.py
+++ engine/SCons/Tool/qt.py
@@ -247,1 +247,1 @@
-                   QT_LIBPATH = os.path.join('\$QTDIR', 'lib'),
+                   QT_LIBPATH = os.path.join('\$QTDIR', '%{_lib}'),
EOF

sed -i 's|%{_bindir}/env python|%{_bindir}/python|' script/*

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py \install \
	--prefix=%{_prefix} \
	--root=%{buildroot} \
	--install-lib=%{python_sitelib} \
	--no-version-script
%fdupes %{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%doc CHANGES.txt LICENSE.txt README.txt RELEASE.txt scons-user.html
%{_bindir}/*
%{python_sitelib}/SCons/
%{python_sitelib}/*.egg-info
%{_mandir}/man1/*.gz

%changelog
